%define	modname	Compress-Raw-Zlib
%define upstream_version 2.074

Summary:	Low-Level Interface to zlib compression library

Name:		perl-%{modname}
Version:	%perl_convert_version %{upstream_version}
Release:	1
License:	GPLv2+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{modname}/
Source0:	http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/%{modname}-%{upstream_version}.tar.gz
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(zlib)

%description
Low-Level Interface to zlib compression library.

%prep
%setup -qn %{modname}-%{upstream_version}
# Leaving the unused zlib source in the tree causes its zlib.h to be preferred
# over the system version we want.
rm -rf zlib-src

%build
BUILD_ZLIB=False perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes
%{perl_vendorarch}/Compress
%{perl_vendorarch}/auto/Compress
%{_mandir}/man3/*

%changelog

* Thu Jun 15 2017 dsilakov <denis.silakov@rosalab.ru> 2.74.0-1
- (bf953a0) Merge pull request #8 from import/perl-Compress-Raw-Zlib:auto_update
- (bf953a0) Updated to 2.074 (by updates_builder)


